package kieker.webgui.beans.application;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

import kieker.analysis.model.analysisMetaModel.MIDependency;
import kieker.analysis.model.analysisMetaModel.impl.MAnalysisMetaModelFactory;
import kieker.webgui.common.FileManager;
import org.primefaces.model.UploadedFile;

@ManagedBean
@ApplicationScoped
public class AvailableDependenciesBean {

    private final List<MIDependency> dependencies;
    private final MAnalysisMetaModelFactory factory;

    public AvailableDependenciesBean() {
        this.dependencies = FileManager.getInstance().loadAllDependencies();
        factory = new MAnalysisMetaModelFactory();
    }

    public List<MIDependency> getDependencies() {
        return dependencies;
    }

    public void upload(final UploadedFile file) {
        FileManager.getInstance().uploadDependency(file);
        this.dependencies.clear();
        this.dependencies.addAll(FileManager.getInstance().loadAllDependencies());
    }
    
    public void delete(final MIDependency dependency) {
        FileManager.getInstance().deleteDependency(dependency);
        this.dependencies.clear();
        this.dependencies.addAll(FileManager.getInstance().loadAllDependencies());
    }
}
