package kieker.webgui.beans.session;

import javax.enterprise.context.SessionScoped;
import javax.faces.bean.ManagedBean;

import org.primefaces.model.DefaultTreeNode;
import org.primefaces.model.TreeNode;

/**
 * This bean can be used to store and read the currently available plugins for the current main project.
 * 
 * @author Nils Christian Ehmke
 */
@ManagedBean
@SessionScoped
public class AvailablePluginsBean {

	/**
	 * Delivers the available plugins.
	 * 
	 * @return A tree with the available plugins.
	 */
	@SuppressWarnings(value = { "unused" })
	public TreeNode getAvailablePluginsRoot() {
		TreeNode root = new DefaultTreeNode("Root", null);

		final TreeNode readerNode = new DefaultTreeNode("Reader", root);
		final TreeNode analysisPluginsNode = new DefaultTreeNode("AnalysisPlugins", root);

		return root;
	}
}
