package kieker.webgui.converter;

import java.io.File;
import java.text.DecimalFormat;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import kieker.analysis.model.analysisMetaModel.MIDependency;

/**
 * This converter can be used to convert an instance of <i>MIDependency</i> to
 * the size (in MiBByte) of the dependency, but of course <b>not</b> vice versa.
 *
 * @author Nils Christian Ehmke
 */
@FacesConverter(value = MIDependencyToIntConverter.NAME)
public class MIDependencyToIntConverter implements Converter {

    public static final String NAME = "kieker.webgui.converter.MIDependencyToIntConverter";

    /**
     * Delivers always null
     */
    @Override
    public Object getAsObject(FacesContext fc, UIComponent uic, String string) {
        return null;
    }

    @Override
    public String getAsString(FacesContext fc, UIComponent uic, Object o) {
        if (o == null || !(o instanceof MIDependency)) {
            return null;
        } else {
            long size = new File(((MIDependency) o).getFilePath()).length();
            return new DecimalFormat("#.##").format(size / 1024f / 1024).concat(" [MiByte]"); 
        }
    }
}
