package kieker.webgui.converter;

import java.io.File;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import kieker.analysis.model.analysisMetaModel.MIDependency;

/**
 * This converter can be used to convert an instance of <i>MIDependency</i> to a
 * human readable string, but <b>not</b> vice versa.
 *
 * @author Nils Christian Ehmke
 */
@FacesConverter(value = MIDependencyToStringConverter.NAME)
public class MIDependencyToStringConverter implements Converter {

    public static final String NAME = "kieker.webgui.converter.MIDependencyToStringConverter";

    /**
     * Delivers always null
     */
    @Override
    public Object getAsObject(FacesContext fc, UIComponent uic, String string) {
        return null;
    }

    @Override
    public String getAsString(FacesContext fc, UIComponent uic, Object o) {
        return (o == null || !(o instanceof MIDependency)) ? null : (new File(((MIDependency) o).getFilePath()).getName());
    }
}
